## linux-upstream 6.16.6

=== debian/changelog ===
linux-upstream (6.16.6-1) trixie; urgency=low

  * Custom built Linux kernel.

 -- pechanove <pechanove@bach>  Wed, 24 Sep 2025 20:13:45 +0200
