=== debian/control ===
Source: linux-upstream
Section: kernel
Priority: optional
Maintainer: pechanove <pechanove@bach>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12)
Build-Depends-Arch: bc, bison, flex,
 gcc-aarch64-linux-gnu <!pkg.linux-upstream.nokernelheaders>,
 kmod, libdw-dev:native, libelf-dev:native,
 libssl-dev:native, libssl-dev <!pkg.linux-upstream.nokernelheaders>,
 python3:native, rsync
Homepage: https://www.kernel.org/

Package: linux-image-6.16.6-liberux-librem5
Architecture: arm64
Description: Linux kernel, version 6.16.6-liberux-librem5
 This package contains the Linux kernel, modules and corresponding other
 files, version: 6.16.6-liberux-librem5.

Package: linux-libc-dev
Section: devel
Provides: linux-kernel-headers
Architecture: arm64
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system libraries.
Multi-Arch: same

Package: linux-headers-6.16.6-liberux-librem5
Architecture: arm64
Build-Profiles: <!pkg.linux-upstream.nokernelheaders>
Description: Linux kernel headers for 6.16.6-liberux-librem5 on arm64
 This package provides kernel header files for 6.16.6-liberux-librem5 on arm64
 .
 This is useful for people who need to build external modules
