## linux-upstream 6.19.3

=== debian/changelog ===
linux-upstream (6.19.3-1) UNRELEASED; urgency=medium

  * Automated version bump via git_deb_tar

 -- User for build service obsservice daemon <obsservicerun@192.168.1.17>  Sat, 21 Feb 2026 14:34:31 +0800

linux-upstream (6.19.3-1) crimson; urgency=low

  * Update CachyOS Linux kernel mainline version.

 -- LFRon <mozixun@Mozixun-PC>  Tue, 17 Feb 2026 16:12:11 +0800
