=== debian/control ===
Source: linux-upstream
Section: kernel
Priority: optional
Maintainer: LFRon <ronforever@qq.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12)
Build-Depends-Arch: bc, bison, flex, linux-libc-dev, build-essential, openssl, patch, zstd,
 clang, llvm, lld,
 kmod, libdw-dev:native, libelf-dev:native,
 libssl-dev:native, libssl-dev <!pkg.linux-upstream.nokernelheaders>,
 python3:native, rsync, rustc | rustup
Homepage: https://www.kernel.org/

Package: linux-image-6.19.3-cachyos1
Architecture: amd64
Description: CachyOS Linux kernel, This package contains the Linux kernel, modules and corresponding other
 files.

Package: linux-libc-dev
Section: devel
Provides: linux-kernel-headers
Architecture: amd64
Description: CachyOS Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system libraries.
Multi-Arch: same

Package: linux-headers-6.19.3-cachyos1
Architecture: amd64
Build-Profiles: <!pkg.linux-upstream.nokernelheaders>
Depends: clang, llvm, lld
Description: CachyOS Linux kernel headers on amd64, This package provides kernel header files on amd64. This is useful for people who need to build external modules
